org.keycloak.services.resources.admin

## Class ClientAttributeCertificateResource.KeyStoreConfig

- java.lang.Object
- - org.keycloak.services.resources.admin.ClientAttributeCertificateResource.KeyStoreConfig

- Enclosing class:
    ClientAttributeCertificateResource

      public static class ClientAttributeCertificateResource.KeyStoreConfig
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `format`
    `protected String` | `keyAlias`
    `protected String` | `keyPassword`
    `protected String` | `realmAlias`
    `protected Boolean` | `realmCertificate`
    `protected String` | `storePassword`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClientAttributeCertificateResource.KeyStoreConfig()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getFormat()`
    `String` | `getKeyAlias()`
    `String` | `getKeyPassword()`
    `String` | `getRealmAlias()`
    `String` | `getStorePassword()`
    `Boolean` | `isRealmCertificate()`
    `void` | `setFormat(String format)`
    `void` | `setKeyAlias(String keyAlias)`
    `void` | `setKeyPassword(String keyPassword)`
    `void` | `setRealmAlias(String realmAlias)`
    `void` | `setRealmCertificate(Boolean realmCertificate)`
    `void` | `setStorePassword(String storePassword)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### realmCertificate

          protected Boolean realmCertificate

    - #### storePassword

          protected String storePassword

    - #### keyPassword

          protected String keyPassword

    - #### keyAlias

          protected String keyAlias

    - #### realmAlias

          protected String realmAlias

    - #### format

          protected String format

  - ### Constructor Detail

    - #### ClientAttributeCertificateResource.KeyStoreConfig

          public ClientAttributeCertificateResource.KeyStoreConfig()

  - ### Method Detail

    - #### isRealmCertificate

          public Boolean isRealmCertificate()

    - #### setRealmCertificate

          public void setRealmCertificate(Boolean realmCertificate)

    - #### getStorePassword

          public String getStorePassword()

    - #### setStorePassword

          public void setStorePassword(String storePassword)

    - #### getKeyPassword

          public String getKeyPassword()

    - #### setKeyPassword

          public void setKeyPassword(String keyPassword)

    - #### getKeyAlias

          public String getKeyAlias()

    - #### setKeyAlias

          public void setKeyAlias(String keyAlias)

    - #### getRealmAlias

          public String getRealmAlias()

    - #### setRealmAlias

          public void setRealmAlias(String realmAlias)

    - #### getFormat

          public String getFormat()

    - #### setFormat

          public void setFormat(String format)

Copyright © 2014. All Rights Reserved.